torsion {compas} | R Documentation

## Calculate dihedral angle formed by four atoms

### Description

For Cartesian coordinates of atoms A-B-C-D, calculate the dihedral angle formed by viewing down the B-C axis.

### Usage

    torsion(a, b, c, d)

### Arguments

`a` | length 3 vector of coordinates of atom A
`b` | length 3 vector of coordinates of atom B
`c` | length 3 vector of coordinates of atom C
`d` | length 3 vector of coordinates of atom D

### Details

Similar to torsion.xyz, but with implementation in C++.

### Value

Returns the dihedral angle (in degrees between -180 and 180).

### Examples

    torsion(c(50.051, 37.144, -4.723), c(50.044, 36.248, -3.559),
            c(51.296, 35.369, -3.476), c(51.930,35.119,-4.618))

[Package compas version 0.1 Index]